summaryrefslogtreecommitdiffstats
path: root/source/x/xdg-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/xdg-utils')
-rw-r--r--source/x/xdg-utils/slack-desc10
-rwxr-xr-xsource/x/xdg-utils/xdg-utils.SlackBuild21
2 files changed, 19 insertions, 12 deletions
diff --git a/source/x/xdg-utils/slack-desc b/source/x/xdg-utils/slack-desc
index ef97cc6d6..97568200c 100644
--- a/source/x/xdg-utils/slack-desc
+++ b/source/x/xdg-utils/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
xdg-utils: xdg-utils (command line tools that assist applications)
xdg-utils:
xdg-utils: Xdg-utils is a set of command line tools that assist applications
-xdg-utils: with a variety of desktop integration tasks. About half of the
+xdg-utils: with a variety of desktop integration tasks. About half of the
xdg-utils: tools focus on tasks commonly required during the installation of
xdg-utils: a desktop application and the other half focuses on integration
xdg-utils: with the desktop environment while the application is running.
xdg-utils:
-xdg-utils: Homepage: http://portland.freedesktop.org/wiki/
+xdg-utils: Homepage: http://portland.freedesktop.org/wiki/
xdg-utils:
xdg-utils:
diff --git a/source/x/xdg-utils/xdg-utils.SlackBuild b/source/x/xdg-utils/xdg-utils.SlackBuild
index 43dd6145c..078026eb0 100755
--- a/source/x/xdg-utils/xdg-utils.SlackBuild
+++ b/source/x/xdg-utils/xdg-utils.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for xdg-utils
# Written by Erik Hanson erik@slackbuilds.org
# Modified for VERSION version by Patrick Volkerding <volkerdi@slackware.com>
-# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,18 +24,25 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xdg-utils
-VERSION=1.1.1
+VERSION=1.1.3
+PKG_VERSION=${VERSION/-/_}
ARCH=noarch
BUILD=${BUILD:-1}
-PKG_VERSION=${VERSION/-/_}
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$PKG_VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -44,7 +51,7 @@ mkdir -p $TMP $PKG
cd $TMP || exit 1
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -68,7 +75,7 @@ gzip -9 $PKG/usr/man/man1/*
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- LICENSE README RELEASE_NOTES TODO \
+ COPYING* LICENSE RE* TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history